Page MenuHomePhabricator

MediaWiki pages edited by non-sysop registered users in Commons via TranslatePostInitGroups
Closed, DuplicatePublic

Description

For the sake of https://www.mediawiki.org/wiki/Help:Extension:Translate/Unstructured_element_translation , Commons has:

	if ( $wgDBname === 'commonswiki' ) {
		$wgHooks['TranslatePostInitGroups'][] = function ( &$cc ) {
			$id = 'wiki-translatable';
			$mg = new WikiMessageGroup( $id, 'translatable-messages' );
			$mg->setLabel( 'Interface' );
			$mg->setDescription( 'Messages used in the custom interface of this wiki' );
			$cc[$id] = $mg;
			return true;
		};
	};

Steinsplitter asked if edits by non admins like https://commons.wikimedia.org/w/index.php?title=MediaWiki:Linkshere/bn&curid=37258716&diff=142454364&oldid=142454323 (which has an associated review by the same user), or https://commons.wikimedia.org/w/index.php?title=MediaWiki:Linkshere/it&curid=28615533&diff=142322825&oldid=124453994 , are expected behaviour.

Only messages listed in https://commons.wikimedia.org/wiki/MediaWiki:Translatable-messages can be edited, and those don't look problematic, but double checking that they don't alow raw HTML doesn't harm.

Event Timeline

Nemo_bis created this task.Dec 25 2014, 5:58 PM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added subscribers: Nemo_bis, Rillke, Steinsplitter.
Aklapper triaged this task as Low priority.Dec 29 2014, 5:45 PM
Steinsplitter added a comment.EditedDec 30 2014, 4:47 PM

Can be fixed temporary, but i think it should be fixed in the code.

MediaWiki:.* <noedit|errmsg=titleblacklist-custom-nomwedit>
Reguyla set Security to None.
Steinsplitter moved this task from Incoming to Backlog on the Commons board.Jun 17 2015, 11:47 AM
Restricted Application added subscribers: Poyekhali, Malyacko. · View Herald TranscriptJul 16 2016, 6:50 PM

This is because the page MediaWiki:Linkshere is able for translation (with <translate> tag). It was removed in 2015 (see https://commons.wikimedia.org/wiki/MediaWiki_talk:Linkshere). Currently there's no translatable interface messages in Commons.

Ordinary users seems not able to translate messages listed in https://commons.wikimedia.org/wiki/MediaWiki:Translatable-messages.